org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodInterfaceBeanB

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanB

All Implemented Interfaces:
  FallbackMethodInterfaceBeanC

Direct Known Subclasses:
  FallbackMethodInterfaceBeanA

    public abstract class FallbackMethodInterfaceBeanB
    extends Object
    implements FallbackMethodInterfaceBeanC

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodInterfaceBeanB()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(int a, Long b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanC

`fallback`

### Constructor Detail

#### FallbackMethodInterfaceBeanB

    public FallbackMethodInterfaceBeanB()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              Long b)